=== debian/watch ===
version=4
https://code.google.com/p/vstream-client/downloads/list \
 .*vstream-client-([\d.]+).*\.tar\.bz2
