## vstream-client 1.2.1.1

=== debian/changelog ===
vstream-client (1.2.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Drop fields with obsolete URLs.
  * Remove constraints unnecessary since buster (oldstable):
    + vstream-client-dev: Drop versioned constraint on vstream-client in
      Replaces.

  [ наб ]
  * Remove Build-Depends: autotools-dev (implied by debhelper-compat (= 13))
  * Import ubuntu patchset (1.2-7ubuntu2):
    + d/p: fix implicit declarations
      Closes: #1075628
    + Use dpkg-buildflags, and build with -D_LARGEFILE64_SOURCE since
      test-client.c uses fopen64.
      Closes: #1070868
  * New upstream version 1.2.1.1
    Closes: #601035
  * d/p/0002: Fix int64_ts being formatted as %lld
  * d/rules: dh style
  * d/copyright: DEP-5
  * old-fsf-address-in-copyright-file
  * debian/lintian-overrides: ignore obsolete-url-in-packaging for
    code.google.com

  [ Andreas Tille ]
  * Use fake watch file since code.google.com is archived
  * Standards-Version: 4.7.0 (routine-update)
  * Rely on pre-initialized dpkg-architecture variables (lintian-brush)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 04 Dec 2024 04:39:51 +0100
