=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: vstream-client
 Priority: optional
 Maintainer: Paul Hedderly <prh@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               autotools-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/vstream-client
 Vcs-Git: https://salsa.debian.org/debian/vstream-client.git
 Section: libs
-Homepage: https://code.google.com/p/vstream-client
 Rules-Requires-Root: no
 
 Package: vstream-client
@@ -30,7 +28,6 @@
 Architecture: any
 Depends: ${misc:Depends}
 Conflicts: libvstream-dev
-Replaces: vstream-client (<= 1.2-4)
 Description: Development headers for vstream-client
  Vstream-client is a fork off of the vstream library from the
  tivo-mplayer project. It has been stripped down to just the
