=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


export DEB_CPPFLAGS_MAINT_APPEND := -D_LARGEFILE64_SOURCE
export DEB_CFLAGS_MAINT_APPEND := -Wall
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr

override_dh_auto_clean:
	! [ -f config.mak ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile

override_dh_auto_install:
	$(MAKE) BINDIR=$(CURDIR)/debian/tmp/usr/bin LIBDIR=$(CURDIR)/debian/tmp/usr/lib INCDIR=$(CURDIR)/debian/tmp/usr/include

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

%:
	dh $@
