=== debian/watch ===
# code.google.com is archival-only. The last version is 1.2.1.1.
#
version=4
opts=dversionmangle=s/.*/0.No-Site/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
